$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.524-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.524-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '5DB7A845F1B7C7A6025F7B82DC26761D479ABAB210ADBAE9CA08E25B20DE3504'
  checksumType = 'sha256'
  checksum64 = '5DB7A845F1B7C7A6025F7B82DC26761D479ABAB210ADBAE9CA08E25B20DE3504'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.524-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
